databaseChangeLog:
  - changeSet:
      id: userManagementAuthority
      author: M.Murad
      changes:
        - createTable:
            tableName: authorities
            columns:
              - column:
                  name: id
                  type: bigint
                  autoIncrement: true
                  constraints:
                    primaryKey: true
                    primaryKeyName: auth_pk
                    nullable: false
              - column:
                  name: authority
                  type: VARCHAR(50)
                  constraints:
                    nullable: false
              - column:
                  name: user_id
                  type: bigint
                  constraints:
                    nullable: false
        - addForeignKeyConstraint:
            baseTableName: authorities
            baseColumnNames: user_id
            constraintName: user_authority_user_fk
            referencedTableName: user
            referencedColumnNames: id
            onDelete: CASCADE
